// ACM 2006
// Problem F. Formatting function
// Sergio A. Fjodorov

// ,     -  

{$apptype console}

function Pos(What: char; const Where: string; StartIdx: integer): integer;
var
  i: integer;
begin
  for i := StartIdx to Length(Where) do
    if Where[i] = What then begin
      Result := i;
      exit;
    end;
  Result := -1;
end;

function CheckAndUpdateNumber(var Number: string): boolean;
var
  i: integer;
begin
  i := 1;
  while (i < Length(Number)) and (Number[i] = '0') do
    Inc(i);
  Number := Copy(Number, i, Length(Number));

  Result := Length(Number) > 0;
  for i := 1 to Length(Number) do
    if not (Number[i] in ['0'..'9']) then begin
      Result := false;
      break;
    end;
end;

procedure WriteErrorAndHalt;
begin
  Rewrite(output);
  WriteLn('ERROR');
  Halt(0);
end;

var
  fmt: string;
  arg: string;
  ch: char;
  p, pp: integer;

begin
  Assign(input, 'input.txt');
  Reset(input);
  Assign(output, 'output.txt');
  Rewrite(output);

  ReadLn(fmt);

  p := 1;
  while true do begin
    pp := p;
    p := Pos('%', fmt, p);
    if p < 0 then begin //  %
      if not Eof then
        WriteErrorAndHalt;

      WriteLn(Copy(fmt, pp, Length(fmt)));
      break;
    end;

    if p >= Length(fmt) then
      WriteErrorAndHalt;

    ch := fmt[p + 1];
    Inc(p, 2);

    Write(Copy(fmt, pp, p - pp - 2));

    if ch = '%' then
      Write('%')
    else if ch in ['s', 'd'] then begin
      if Eof then
        WriteErrorAndHalt;
      ReadLn(arg);
      if (ch = 'd') and not CheckAndUpdateNumber(arg) then
        WriteErrorAndHalt;
      Write(arg);
    end
    else
      WriteErrorAndHalt;
  end;

  Close(input);
  Close(output);
end.
